View authorizer

Prev Next

Available in Classic and VPC

View authorizer information.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /authorizers/{authorizer-id}

Request headers

For headers common to API Gateway, see API Gateway common request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
authorizer-id String Required ID of authorizer to view

Request example

The following is a sample request.

curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/authorizers/{authorizer-id}' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The syntax is as follows.

{
    "authorizerId": "authorizerId",
    "tenantId": "tenantId",
    "authorizerName": "authorizerName",
    "authorizerDescription": "authorizerDescription",
    "authorizerType": "authorizerType",
    "authorizerConfig": {
        "region": "region",
        "functionId": "functionId",
        "payload": [
            {
                "in": "in",
                "name": "name"
            }
        ]
    },
    "modifier": "modifier",
    "domainCode": "domainCode",
    "modTime": "2024-05-02T08:23:41Z"
}

Response status codes

For response status codes common to API Gateway, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "authorizerId": "*********",
    "tenantId": "***4402f55ae4436913a6e2c65bab***",
    "authorizerName": "authorizer-***",
    "authorizerDescription": "authorizerDescription",
    "authorizerType": "CLOUD_FUNCTIONS",
    "authorizerConfig": {
        "region": "KR",
        "functionId": "*****/mypackage/myaction",
        "payload": [
            {
                "in": "HEADER",
                "name": "payload-***"
            }
        ]
    },
    "modifier": "d12c9fd0-****-****-****-246e96591a38",
    "domainCode": "PUB",
    "modTime": "2024-05-02T08:23:41Z"
}